You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
gentoo-overlay/app-misc/icdiff/files/icdiff-2.0.6-tests.patch

41 lines
1.7 KiB

This file contains invisible Unicode characters!

This file contains invisible Unicode characters that may be processed differently from what appears below. If your use case is intentional and legitimate, you can safely ignore this warning. Use the Escape button to reveal hidden characters.

diff --git a/test.sh b/test.sh
index 317a752..10456ff 100755
--- a/test.sh
+++ b/test.sh
@@ -158,9 +158,9 @@ check_gold 0 gold-identical-on.txt tests/input-{1,1}.txt -s
check_gold 2 gold-bad-encoding.txt tests/input-{1,2}.txt --encoding=nonexistend_encoding
check_gold 0 gold-recursive-with-exclude.txt --recursive -x c tests/{a,b} --cols=80
check_gold 1 gold-recursive-with-exclude2.txt --recursive -x 'excl*' tests/test-with-exclude/{a,b} --cols=80
-check_gold 0 gold-exit-process-sub tests/input-1.txt <(cat tests/input-1.txt) --cols=80
+check_gold 0 gold-exit-process-sub tests/input-1.txt <(cat tests/input-1.txt) --no-headers --cols=80
-rm tests/permissions-{a,b}
+rm -f tests/permissions-{a,b}
touch tests/permissions-{a,b}
check_gold 0 gold-permissions-same.txt tests/permissions-{a,b} -P --cols=80
@@ -173,7 +173,7 @@ check_gold 1 gold-permissions-diff-text.txt tests/permissions-{a,b} -P --cols=80
echo -e "\04" >> tests/permissions-b
check_gold 1 gold-permissions-diff-binary.txt tests/permissions-{a,b} -P --cols=80
-rm tests/permissions-{a,b}
+rm -f tests/permissions-{a,b}
if git show 4e86205629 &> /dev/null; then
# We're in the repo, so test git.
@@ -209,7 +209,7 @@ function ensure_installed() {
ensure_installed "black"
echo 'Running black formatter...'
-if ! black icdiff --line-length 79 --check; then
+if ! black icdiff --quiet --line-length 79 --check; then
echo ""
echo 'Consider running `black icdiff --line-length 79`'
fail
diff --git a/tests/gold-exit-process-sub b/tests/gold-exit-process-sub
index 3885e20..e69de29 100644
--- a/tests/gold-exit-process-sub
+++ b/tests/gold-exit-process-sub
@@ -1 +0,0 @@
-tests/input-1.txt /dev/fd/63